.sec-nav-list {
  position: sticky;
  top: 12rem;
  z-index: 2;
  background: var(--secondary-color-300);
}
body:has(.scroll-up) .sec-nav-list{
  top: 16rem;
}
.sec-nav-list.is-sticky{
  background: var(--white-color);
  box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.25);
}
.nav-list{
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
}
.nav-list ul {
  position: relative;
  display: flex;
  align-items: center;
  margin: 0;
  flex-grow: 1;
  padding-right: 0;
  overflow: hidden;
}
.nav-list a{
  display: flex;
  padding: 1.6rem;
  position: relative;
  font-size: 1.4rem;
  line-height: 2.3rem;
  color: var(--primary-color) !important;
  white-space: nowrap;
  text-decoration: none;
}
.nav-list li.active a{
  -webkit-text-stroke: 0.7px;
}
.nav-list .toggle-links {
  position: relative;
  visibility: hidden;
  display: flex;
  align-items: center;
  padding: 0;
  margin: 0;
  outline: none !important;
  background: transparent;
  border: 0 !important;
  color:  var(--primary-color);
  font-size: 1.4rem;
  line-height: 2.3rem;
}
.nav-list .toggle-links span {
  transition: transform 0.3s cubic-bezier(0.77, 0, 0.175, 1);
}
.nav-list .toggle-links.links-displayed span {
  transform: rotate(-180deg);
}
.nav-list .toggle-links.visible {
  visibility: visible;
}
.nav-list .hidden-links {
  position: absolute;
  top: 100%;
  right: 0;
  background: var(--primary-color-300);
  transform: none;
  transform-origin: 0 0;
  transition: transform 0.3s cubic-bezier(0.77, 0, 0.175, 1);
  display: block;
  z-index: 2;
  padding: 0;
}
.nav-list .hidden-links.links-invisible {
  transform: scaleY(0);
}
.hidden-links a{
  padding: 0.8rem 1.6rem;
}
#mobileFilterList,
.nav-list-mobile{
  display: none;
}
@media(min-width:992px) and (max-width:1199px){
  .sec-nav-list {
    top: 11.2rem;
  }
  body:has(.scroll-up) .sec-nav-list {
    top: 15.2rem;
  }
}
@media(min-width:768px) and (max-width:991px){
  .sec-nav-list {
    top: 0;
    margin: 2.4rem 0 !important;
  }
  body:has(.scroll-up) .sec-nav-list {
    top: 5.4rem;
  }
}
@media(max-width:767px){
  .open-nav-filter{
    overflow: hidden;
  }
  .open-nav-filter:after{
    position: fixed;
    content: "";
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.2);
    z-index: 999;
  }
  .sec-nav-list {
    top: 0;
    margin: 2.4rem 0 !important;
  }
  body:has(.scroll-up) .sec-nav-list {
    top: 5.4rem;
  }
  .nav-list {
    flex-wrap: wrap;
  }
  .nav-list.show .nav-list-mobile-head{
    display: block;
    width: 100%;
    margin-bottom: 0.8rem;
    margin-top: 1.6rem;
    font-size: 1.4rem;
    line-height: 1;
    font-weight: 700;
  }
  .nav-list ul {
    padding: 1.4rem 4rem 1.4rem 0;
    min-height: 5.4rem;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    touch-action: pan-x;
    user-select: none;
    -ms-overflow-style: none;
    scrollbar-width: none; 
  }
  .nav-list ul::-webkit-scrollbar { 
    display: none;
  }
  .nav-list a {
    padding: 0.4rem 1.6rem 0.4rem 0;
    font-size: 1.2rem;
    line-height: 1.8rem;
  }
  .nav-list .toggle-links{
    display: none !important;
  }
  #mobileFilterList {
    position: absolute;
    top: 0;
    right: -16px;
    background: var(--secondary-color-300);
    border: 0;
    height: 5.4rem;
    width: 5.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }
  .is-sticky #mobileFilterList{
    background: var(--white-color);
  }
  .nav-list-mobile {
    position: fixed;
    display: block;
    bottom: 0;
    left: 0;
    width: 100%;
    background: var(--white-color);
    z-index: 9999;
    padding: 1.6rem 0;
    -webkit-transform: translateY(100%);
    -moz-transform: translateY(100%);
    transform: translateY(100%);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
  }
  .open-nav-filter .nav-list-mobile{
    -webkit-transform: translateY(0);
    -moz-transform: translateY(0);
    transform: translateY(0);
  }
  .nav-list-head-outer {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    margin-bottom: 1.7rem;
  }
  .nav-list-head {
    font-size: 1.4rem;
    font-weight: bold;
    line-height: 1;
  }
  #mobileFilterclose {
    border: 0;
    outline: none;
    background: transparent;
    cursor: pointer;
    height: 2.4rem;
    width: 2.4rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
  }
  .nav-list-mobile ul {
    margin: 0;
    padding: 0;
    flex-wrap: wrap;
  }
  .sec-nav-list .programy .nav-list ul li:nth-child(n+7) {
    display: none;
  }
}